Subject: Re: [PATCH 1/2] mm: add GFP mask param to strndup_user

From: Al Viro <[email-masked]>
Date: Sat, 15 Aug 2020 23:42:10 +0100

On Sat, Aug 15, 2020 at 11:23:43AM -0700, Pascal Bouchareine wrote:
> Let caller specify allocation.
> Preserve existing calls with GFP_USER.

Bloody bad idea, unless you slap a BUG_ON(flags & GFP_ATOMIC) on it,
to make sure nobody tries _that_.  Note that copying from userland
is an inherently blocking operation, and this interface invites
just that.

What do you need that flag for, anyway?